package capitulo07.bloque05;

public class PotenciaRecursiva {
    public static void main(String[] args) {
        int base = 2;
        int exponente = 10;
        System.out.println(base + " elevado a " + exponente + " es igual a " + potencia(base, exponente));
    }
    public static int potencia(int base, int exponente) {
        if (exponente == 0) {
            return 1;
        } else {
            return base * potencia(base, exponente - 1);
        }
    }
}
